Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.render.pcl.fonts
Class PCLByteWriterUtil

    java.lang.Object
      org.apache.fop.render.pcl.fonts.PCLByteWriterUtil

    public class PCLByteWriterUtil

extends java.lang.Object

Constructor Summary
`PCLByteWriterUtil()`

Method Summary
`byte[]` | `insertIntoArray(int index, byte[] insertTo, byte[] data)`
`int` | `log(int x, int base)`
`int` | `maxPower2(int value)`
`byte[]` | `padBytes(byte[] in, int length)`
`byte[]` | `padBytes(byte[] in, int length, int value)`
`byte` | `signedByte(int s)`
`byte[]` | `signedInt(int s)`
`byte[]` | `toByteArray(int[] s)`
`int` | `unsignedByte(int b)`
`byte[]` | `unsignedInt(int s)`
`byte[]` | `unsignedLongInt(int s)`
`byte[]` | `unsignedLongInt(long s)`
`byte[]` | `updateDataAtLocation(byte[] data, byte[] update, int offset)`
`byte[]` | `writeCommand(java.lang.String cmd)` Writes a PCL escape command to the output stream.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PCLByteWriterUtil

    public PCLByteWriterUtil()

Method Detail

### padBytes

    public byte[] padBytes(byte[] in,
                           int length)

### padBytes

    public byte[] padBytes(byte[] in,
                           int length,
                           int value)

### signedInt

    public byte[] signedInt(int s)

### signedByte

    public byte signedByte(int s)

### unsignedLongInt

    public byte[] unsignedLongInt(int s)

### unsignedLongInt

    public byte[] unsignedLongInt(long s)

### unsignedInt

    public byte[] unsignedInt(int s)

### unsignedByte

    public int unsignedByte(int b)

### maxPower2

    public int maxPower2(int value)

### log

    public int log(int x,
                   int base)

### toByteArray

    public byte[] toByteArray(int[] s)

### insertIntoArray

    public byte[] insertIntoArray(int index,
                                  byte[] insertTo,
                                  byte[] data)
                           throws java.io.IOException

  Throws:
    `java.io.IOException`

### updateDataAtLocation

    public byte[] updateDataAtLocation(byte[] data,
                                       byte[] update,
                                       int offset)

### writeCommand

    public byte[] writeCommand(java.lang.String cmd)
                        throws java.io.IOException

  Writes a PCL escape command to the output stream.

  Parameters:
    `cmd` - the command (without the ESCAPE character)
  Throws:
    `java.io.IOException` - In case of an I/O error

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2016 The Apache Software Foundation. All Rights Reserved.